Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicButtonListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicButtonListener

public class BasicButtonListener
extends java.lang.Object
implements java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.FocusListener, ChangeListener, java.beans.PropertyChangeListener

Button Listener

Constructor Summary
`BasicButtonListener(AbstractButton b)`

Method Summary
`protected void` | `checkOpacity(AbstractButton b)`
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`void` | `installKeyboardActions(JComponent c)` Register default key actions: pressing space to "click" a button and registring the keyboard mnemonic (if any).
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`
`void` | `stateChanged(ChangeEvent e)`
`void` | `uninstallKeyboardActions(JComponent c)` Unregister's default key actions

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicButtonListener

    public BasicButtonListener(AbstractButton b)

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener

### checkOpacity

    protected void checkOpacity(AbstractButton b)

### installKeyboardActions

    public void installKeyboardActions(JComponent c)

  Register default key actions: pressing space to "click" a button and registring the keyboard mnemonic (if any).

### uninstallKeyboardActions

    public void uninstallKeyboardActions(JComponent c)

  Unregister's default key actions
  See Also:
    `#registerKeyboardActions`

### stateChanged

    public void stateChanged(ChangeEvent e)

  Specified by:
    stateChanged in interface ChangeListener

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    focusGained in interface java.awt.event.FocusListener

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    focusLost in interface java.awt.event.FocusListener

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    mouseClicked in interface java.awt.event.MouseListener

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    mousePressed in interface java.awt.event.MouseListener

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    mouseReleased in interface java.awt.event.MouseListener

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    mouseEntered in interface java.awt.event.MouseListener

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    mouseExited in interface java.awt.event.MouseListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.